﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Csla;

namespace WpfApplication1
{

    
    public class Car : BusinessBase<Car>
    {
        public static readonly PropertyInfo<string> BrandProperty = RegisterProperty<string>(p => p.Brand);
        public string Brand
        {
            get { return GetProperty(BrandProperty); }
            set { SetProperty(BrandProperty, value); }
        }


        public static Car GetCar(string brand)
        {
            return new Car { Brand = brand };
        }


        

    }
}
